Author Topic: questions about annotative blocks  (Read 2492 times)

0 Members and 1 Guest are viewing this topic.

EagerToLearnCad

  • Guest
questions about annotative blocks
« on: April 20, 2010, 10:55:23 AM »
Hello again,

I work for an engineering firm & we get our backgrounds from
different clients.

The room name & column bubbles attribute blocks of the clients
are not annotative.

When we have do create a partial plan with a certain scale,
we xref in the backgrounds but the room names & bubbles
are so larged.

Tuturials are to create an annotative block but I cant find
anything about converting an attribute block to annotative.

Is there a quick and easy why to convert these attribute blocks to
annotative? How should I go about it? Any input will be appreciated.

Thanks ..

nivuahc

  • Guest
Re: questions about annotative blocks
« Reply #1 on: April 20, 2010, 11:07:00 AM »
Converting a block to Annotative is simple.

At the command prompt, type BLOCK.

Select the block from the pull-down, then check the Annotative checkbox.

Then click Okay.

EagerToLearnCad

  • Guest
Re: questions about annotative blocks
« Reply #2 on: April 20, 2010, 11:15:45 AM »
Nivuahc,

Thank you! I feel a little embarrassed though. I should have been able to figured it myself.

alanjt

  • Needs a day job
  • Posts: 5352
  • Standby for witty remark...
Re: questions about annotative blocks
« Reply #3 on: April 20, 2010, 11:21:34 AM »
Also, if the block is a separate file, you can change by this method...

Code: [Select]
Specifies whether or not the drawing will behave as an annotative block when inserted into another drawing.

0 Nonannotative
1 Annotative

Note: The ANNOTATIVEDWG system variable becomes read-only if the drawing contains annotative objects.
Civil 3D 2019 ~ Windohz 7 64bit
Dropbox

Joe Burke

  • Guest
Re: questions about annotative blocks
« Reply #4 on: April 20, 2010, 11:23:27 AM »
This might help?

Code: [Select]
  ;; by Ian Bryant
  ;; Return T if ename is annotative, otherwise nil.
  (defun IsAnnotative (e)
    (and e
      (setq e (cdr (assoc 360 (entget e))))
      (setq e (dictsearch e "AcDbContextDataManager"))
      (setq e (dictsearch (cdr (assoc -1 e)) "ACDB_ANNOTATIONSCALES"))
      (assoc 350 e)
    )
  ) ;end IsAnnotative

Also note, you can use the chprop command to convert a non-annotative object to annotative.

EagerToLearnCad

  • Guest
Re: questions about annotative blocks
« Reply #5 on: April 20, 2010, 11:45:48 AM »
Thanks Alanjt & Joe,

Theres much for me to learn about annotative blocks.

Now the rectangular box for the room name of the block
disappeared. I guess I have to do more reading.

Thanks again.